Jump to content
Not connected, Your IP: 44.192.25.113
Staff

Eddie Desktop 2.21 beta released

Recommended Posts

Version 2.21.5 (Tue, 08 Mar 2022 11:30:14 +0000)

  • [bugfix] [linux] Segmentation-fault of Elevation in some Arch distro
  • [change] [linux] Tray icon (temporarily) removed from Arch/AUR build
  • [bugfix] [macos] Fix for issue "Client not allowed: Remote executable not signed"
  • [bugfix] [linux] Issue with custom IP in NetLock>Allowlist (nftables only)
  • [bugfix] [linux] Better selection of iptables vs iptables-legacy vs iptables-nft
  • [bugfix] [linux] Useless ping result reported in std::cout

Share this post


Link to post

Couple of questions before anything else.

Any reason why the latest experimental Eddie 2.21.5 package for Debian is much smaller than all the previous ones?  (now 2.3MB vs earlier 2.8MB)

Secondly, the useful panel indicator vanished from Linux Mint ages ago already, IIRC due to some deprecated (libindicator?) package issue. Is that it or what? Somehow all the other panel indicators survived that particular 'special panel indicator operation'...

Share this post


Link to post

Installed the last Eddie Beta today before my work day. Tried WireGuard on different servers. Lower speeds than using OpenVPN. I've seen opposite results when I tried a couple of Air's competitors in the recent past (Mullvad and Proton). Is it something affecting me only or is a common issue? (The log start at 10:03 AM from the last reconnection but the first connection started at 8 AM).

Eddie_20220309_151416.txt


"What has been, is. What is not, will be. And nobody is safe"

Share this post


Link to post
On 3/8/2022 at 3:06 PM, encrypted said:

Any reason why the latest experimental Eddie 2.21.5 package for Debian is much smaller than all the previous ones?  (now 2.3MB vs earlier 2.8MB)


Correct, we compile this version without statically linking some libraries, for better stability.
 
On 3/8/2022 at 3:06 PM, encrypted said:

Secondly, the useful panel indicator vanished from Linux Mint ages ago already, IIRC due to some deprecated (libindicator?) package issue. Is that it or what? Somehow all the other panel indicators survived that particular 'special panel indicator operation'...


Yes, sorry but tray icon will be reimplemented as soon as possible.

Share this post


Link to post

In Beta since July of last year ?

Eddie as now not been updated in over one year ? and looking at the change log is falling further and further behind

It is a major conern that the client is not being maintained

Share this post


Link to post
2 hours ago, Undecatthu34 said:

In Beta since July of last year ?

Eddie as now not been updated in over one year ? and looking at the change log is falling further and further behind

It is a major conern that the client is not being maintained


Hello!

Obviously Eddie is maintained as you have noticed by yourself. Beta testing is typically ended when all found bugs in the beta versions have been fixed and the customer satisfaction is high.

A typical public beta testing cycle of Eddie Desktop edition, when brand new features are included (in this case WIreGuard, new drivers, deep rewrite of strategic pieces of code) may take 9-12 months. This is not an unreasonable time because testing involves about 18 Linux distribution in various different versions, with three different DE and two architectures, 3 different OS X systems, 6 different macOS systems, 5 different Windows versions in two different architectures, various ARM based systems in two different architectures, for a total amount of several hundreds systems where Eddie must run properly in.

Considering the current testers feedback you can reasonably expect a stable release at the end of March 2022. Please feel free to report what your concern is exactly, and why you are not satisfied with Eddie 2.21.5 (beta). If you're already satisfied with it, just use it.

Kind regards
 

Share this post


Link to post

Hi,

i have just installed the latest beta (2.21.5) of Eddie-UI. Whenever i save settings, the window gets completely transparent until i minimize it and re-open the settings. However, the main window will stay transparent until i restart the application.

It may has something to do with Eddie not getting minimized properly? I can see the application running in the panel, however i always have the option to "Minimize" although it is already minimized. For now, i have to adjust settings by using the tray icon.

Operating System: Debian GNU/Linux 11 (bullseye)
Kernel: Linux 5.10.0-12-amd64
Architecture: x86-64

➜  ~ sudo cat /etc/X11/default-display-manager                      
/usr/sbin/lightdm

➜  ~ xfce4-panel --version
xfce4-panel 4.16.2 (Xfce 4.16)

➜  ~ wmctrl -m
Name: Xfwm4
Class: xfwm4

image.thumb.png.1651e95d5849854a22047f90b40f9d49.png

image.thumb.png.b521e9d3aa728d61356a0b45ee6917e1.png

I also have some font issues (using the standard settings) in the main window.

image.png.b7c60fedd07a7eef1d69eec7cafaf0f8.png

The other thing i have noticed is that connections (sometimes) are not established when ipv6 is blocked on system level (grub in my case).
Screenshot_2022-03-17_13-55-02.png.ba538bcec0c462d971f93eb956c62870.png

Screenshot_2022-03-17_14-02-08.png.141e980a54c6a3ef7525e8d83e4a8fc3.png

Once i removed the grub entry and only blocked it in Eddie, everything worked again.

Further, Eddie does not seem to save the last connected server. It always connects to the recommended server and not to the last connected although this option is enabled in the settings ("Reconnect to last server at start").

Moreover, latency checks are not possible once a connection has been established (which is probably on purpose/ by design due to the fact that a connection has already been established).
image.png.bd51ef278375d191e0df7c277fe7efae.png

Regards

Share this post


Link to post
On 3/15/2022 at 11:16 AM, Staff said:

Considering the current testers feedback you can reasonably expect a stable release at the end of March 2022. Please feel free to report what your concern is exactly, and why you are not satisfied with Eddie 2.21.5 (beta). If you're already satisfied with it, just use it.


Hello, 

We are 31 of march. So is 2.21 stable release postponed to april ? 

 

Share this post


Link to post

From a coding veteran to the AirVPN developers: Please take your time to get it right. Ignore the noise. 
 

Share this post


Link to post
4 hours ago, exponent said:

Ignore the noise. 

I am not trying to make "noises", I was not criticizing anything. I just wanted clarifications, that is all.

Share this post


Link to post

Wireguard servers are not showing up in Eddie 2.21.5 beta GUI under protocols. This is on a Debian 11 Bullseye system. I have enabled Beta features on my account. Wireguard with wg-quick in the terminal is working fine.

 

Share this post


Link to post

We released version 2.21.6. This version will be moved as it is to "stable" soon.
 

Version 2.21.6 (Sat, 23 Apr 2022 12:06:52 +0000)

  • [bugfix] [macos] username and password issue on some macOS
  • [change] Net Framework 4.8 and other libraries updates
  • [bugfix] Other minor fixes

Share this post


Link to post
On 3/9/2022 at 3:28 PM, Staff said:

Correct, we compile this version without statically linking some libraries, for better stability.
 
Yes, sorry but tray icon will be reimplemented as soon as possible.

(K)Ubuntu has no tray icon either anymore with eddie 21.21.6

It seems every desktop environment and every new (K)Ubuntu release changes something. Minimizing the window works though. It is just esthetic.

Share this post


Link to post

Hello

Wireguard servers are indeed showing up under protocols in Eddie.

I am not sure if they showed up now after Eddie was released with version 2.21.6, or if it was me that overlooked them since there are only two Wireguard options under protocols to choose from, and they are found right in the middle of a long list of OpenVPN protocols and ports options.

There are two options where the user can choose between Wireguard Experimental with protocol UDP for both options, with port number 1637 for the first option, and port number 47107 for the second option.

I am connected to a Wireguard server using Eddie while typing this post. Hooray! :D

Minimising Eddie to tray does not work for me as well. The icon will be minimised to the panel bar (panel bar as it is called in Linux).
 

Share this post


Link to post
On 4/29/2022 at 11:52 PM, Television said:

Hello

Wireguard servers are indeed showing up under protocols in Eddie.

I am not sure if it they showed up now after Eddie was released with version 2.21.6, or if it was me that overlooked them since there are only two Wireguard options under protocols to choose from, and they are found right in the middle of a long list of OpenVPN protocols and ports options.

There are two options where the user can choose between Wireguard Experimental with protocol UDP for both options, with port number 1637 for the first option, and port number 47107 for the second option.

I am connected to a Wireguard server using Eddie while typing this post. Hooray! :D

Minimising Eddie to tray does not work for me as well. The icon will be minimised to the panel bar (panel bar as it is called in Linux).
 

Can you close EDDIE and reboot, and do following after logging in again.

Open a terminal and execute:


ubuntu@EDDIE:~$ eddie-ui
Gtk not found (missing LD_LIBRARY_PATH to libgtk-x11-2.0.so.0?), using built-in colorscheme
. 2022.05.01 12:32:01 - Eddie version: 2.21.5beta / linux_x64, System: Linux, Name: Ubuntu 22.04 LTS, Version: 22.04 LTS (Jammy Jellyfish), Mono/.Net: 6.8.0.105 (Debian 6.8.0.105+dfsg-3.2 W
ed Jun 30 05:34:49 UTC 2021); Framework: v4.0.30319
. 2022.05.01 12:32:01 - Command line arguments (2): path.resources="/usr/share/eddie-ui" path.exec="/usr/bin/eddie-ui"
. 2022.05.01 12:32:02 - Reading options from /home/ubuntu/.config/eddie/default.profile
. 2022.05.01 12:32:03 - OpenVPN - Version: 2.5.5 - OpenSSL 3.0.2 15 Mar 2022, LZO 2.10 (/usr/sbin/openvpn)
. 2022.05.01 12:32:03 - SSH - Version: OpenSSH_8.9p1 Ubuntu-3, OpenSSL 3.0.2 15 Mar 2022 (/usr/bin/ssh)
. 2022.05.01 12:32:03 - SSL - Version: Initializing (/usr/bin/stunnel4)
. 2022.05.01 12:32:03 - curl - Version: 7.81.0 (/usr/bin/curl)
/usr/lib/eddie-ui/eddie-tray: error while loading shared libraries: libappindicator.so.1: cannot open shared object file: No such file or directory
I 2022.05.01 12:32:07 - Ready
. 2022.05.01 12:32:08 - Collect information about AirVPN completed
. 2022.05.01 12:32:29 - Shutdown in progress
. 2022.05.01 12:32:29 - Shutdown complete



As you can see


/usr/lib/eddie-ui/eddie-tray: error while loading shared libraries: libappindicator.so.1: cannot open shared object file: No such file or directory


Now depending on which package manager one has it is necessary to install libappindicator.so.1 from libappindicator

If on (K)Ubuntu it is Muon package manager where you can find and install libappindicator, mark it for install and apply.

I have the system tray icon working. It is a GTK library i suppose.

Share this post


Link to post

I have taken a look into the eddie-ui folder under path /usr/lib/eddie-ui, and see that there is a file there called eddie-tray.

This is perhaps a file developed by AirVPN that is supposed to let Eddie minimise to tray?

The libappindicator.so.1, that on previous versions of Debian took care of this, is not possible to install on Debian 11.

A user should not have to create hacks to solve problems related to a commercial app. I think AirVPN should be able to fix this for their users.

For now I am leaving the app icon on the panel. Hopefully AirVPN would be able to fix this little problem in a later update to Eddie.



Edit:

Minimising Eddie to tray worked fine on Debian 10 with Eddie 2.20.

It also worked on previous versions of Eddie on Debian 9.
 

Share this post


Link to post
8 hours ago, Television said:

I have taken a look into the eddie-ui folder under path /usr/lib/eddie-ui, and see that there is a file there called eddie-tray.

This is perhaps a file developed by AirVPN that is supposed to let Eddie minimise to tray?

The libappindicator.so.1, that on previous versions of Debian took care of this, is not possible to install on Debian 11.

A user should not have to create hacks to solve problems related to a commercial app. I think AirVPN should be able to fix this for their users.

For now I am leaving the app icon on the panel. Hopefully AirVPN would be able to fix this little problem in a later update to Eddie.



Edit:

Minimising Eddie to tray worked fine on Debian 10 with Eddie 2.20.

It also worked on previous versions of Eddie on Debian 9.
 

libappindicator.so is part of some gnome gtk applications, if you could only find an application which has this dependency and install such app from official repository than it would work.

transmission-gtk is using gtk3 for example, i by coincidence just found out that Muon Package Manager has libappindicator.so as part of package libappindicator, so in my situation it was in official repository. Cannot recommend to get it from another source.

If anyone knows an application that installs this library: libappindicator then please reply.

If you are willing, please close EDDIE and run it from the terminal commandline, that will show what is happening, i posted what was happening and how i ran EDDIE from commandline and discovered i needed libappindicator.so.

Open a terminal, type in this command:
eddie-ui

Then EDDIE should start and the terminal will show what is happening.

Here is another example with EDDIE 2.21.6 running already

ubuntu@EDDIE:~$ eddie-ui
(mono:161503): Gtk-WARNING **: 01:57:42.530: Unable to locate theme engine in module_path: "adwaita",
F 2022.05.02 01:57:42 - An instance of Eddie is already running.



As you can see EDDIE depends on Gtk, and any Gtk application that would install something missing would fix it.
 

Share this post


Link to post
Guest
This topic is now closed to further replies.

×
×
  • Create New...